FileNameUtils File Reference
`#include <osgDB/Export>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | osgDB::FileNameComparator

## Namespaces

namespace | osgDB

## Macros

#define | OSGDB_FILENAMEUTILS 1
#define | stringcopyfixedsize(DEST, SRC)

## Functions

OSGDB_EXPORT std::string | osgDB::getFilePath (const std::string &filename)
OSGDB_EXPORT std::string | osgDB::getFileExtension (const std::string &filename)
OSGDB_EXPORT std::string | osgDB::getFileExtensionIncludingDot (const std::string &filename)
OSGDB_EXPORT std::string | osgDB::getLowerCaseFileExtension (const std::string &filename)
OSGDB_EXPORT std::string | osgDB::getSimpleFileName (const std::string &fileName)
OSGDB_EXPORT std::string | osgDB::getNameLessExtension (const std::string &fileName)
OSGDB_EXPORT std::string | osgDB::getNameLessAllExtensions (const std::string &fileName)
OSGDB_EXPORT std::string | osgDB::getStrippedName (const std::string &fileName)
OSGDB_EXPORT std::string | osgDB::getPathRelative (const std::string &from, const std::string &to)
OSGDB_EXPORT std::string | osgDB::getPathRoot (const std::string &path)
OSGDB_EXPORT bool | osgDB::isAbsolutePath (const std::string &path)
OSGDB_EXPORT std::string | osgDB::convertFileNameToWindowsStyle (const std::string &fileName)
OSGDB_EXPORT std::string | osgDB::convertFileNameToUnixStyle (const std::string &fileName)
OSGDB_EXPORT std::string | osgDB::convertToLowerCase (const std::string &fileName)
OSGDB_EXPORT char | osgDB::getNativePathSeparator ()
OSGDB_EXPORT bool | osgDB::isFileNameNativeStyle (const std::string &fileName)
OSGDB_EXPORT std::string | osgDB::convertFileNameToNativeStyle (const std::string &fileName)
OSGDB_EXPORT bool | osgDB::equalCaseInsensitive (const std::string &lhs, const std::string &rhs)
OSGDB_EXPORT bool | osgDB::equalCaseInsensitive (const std::string &lhs, const char *rhs)
OSGDB_EXPORT bool | osgDB::containsServerAddress (const std::string &filename)
OSGDB_EXPORT std::string | osgDB::getServerProtocol (const std::string &filename)
OSGDB_EXPORT std::string | osgDB::getServerAddress (const std::string &filename)
OSGDB_EXPORT std::string | osgDB::getServerFileName (const std::string &filename)
OSGDB_EXPORT std::string | osgDB::concatPaths (const std::string &left, const std::string &right)
OSGDB_EXPORT std::string | osgDB::getRealPath (const std::string &path)
OSGDB_EXPORT void | osgDB::getPathElements (const std::string &path, std::vector< std::string > &out_elements)
OSGDB_EXPORT void | osgDB::stringcopy (char *dest, const char *src, size_t length)

## Variables

const char | osgDB::UNIX_PATH_SEPARATOR = '/'
const char | osgDB::WINDOWS_PATH_SEPARATOR = '\\'

## Macro Definition Documentation

## OSGDB_FILENAMEUTILS

#define OSGDB_FILENAMEUTILS 1

## stringcopyfixedsize

#define stringcopyfixedsize | ( |  | DEST,
|  |  | SRC )

Value:
stringcopy(DEST, SRC, sizeof(DEST));